#include <pbk/customizer/customizer.h>
#include <string.h>
#include <fstream.h>

Customizer::Customizer(const char* filename)
{
	strcpy(_filename, filename);
   Load();
} // Customizer::Customizer

void Customizer::Update()
{
	fstream stream(_filename, ios::out|ios::binary);

   if(!stream.bad())
   {
   	stream.write((char*)&_mehrwertsteuer, sizeof(_mehrwertsteuer));
   	stream.write((char*)&_waehrung, sizeof(_waehrung));
   	stream.write((char*)&_steuer_enthalten, sizeof(_steuer_enthalten));
   	stream.write((char*)&_ist_euro, sizeof(_ist_euro));
   	stream.write((char*)&_erfassung_first, sizeof(_erfassung_first));
   	stream.write((char*)&_erfassung_last, sizeof(_erfassung_last));
   	stream.write((char*)&_datierung_first, sizeof(_datierung_first));
   	stream.write((char*)&_datierung_last, sizeof(_datierung_last));
   	stream.write((char*)&_vordatierung, sizeof(_vordatierung));
   	stream.write((char*)&_rechnung_bemerkung, sizeof(_rechnung_bemerkung));
	} // if
} // Customizer::Update

void Customizer::Load()
{
	fstream stream(_filename, ios::in|ios::binary);

   if(!stream.bad())
   {
   	stream.read((char*)&_mehrwertsteuer, sizeof(_mehrwertsteuer));
   	stream.read((char*)&_waehrung, sizeof(_waehrung));
   	stream.read((char*)&_steuer_enthalten, sizeof(_steuer_enthalten));
   	stream.read((char*)&_ist_euro, sizeof(_ist_euro));
   	stream.read((char*)&_erfassung_first, sizeof(_erfassung_first));
   	stream.read((char*)&_erfassung_last, sizeof(_erfassung_last));
   	stream.read((char*)&_datierung_first, sizeof(_datierung_first));
   	stream.read((char*)&_datierung_last, sizeof(_datierung_last));
   	stream.read((char*)&_vordatierung, sizeof(_vordatierung));
   	stream.read((char*)&_rechnung_bemerkung, sizeof(_rechnung_bemerkung));
	} // if
   else
   {
   	// Das Programm wurde noch nie gestartet. Hier knnen default-Werte eingesetzt werden

      _mehrwertsteuer = 16.0;
      strcpy(_waehrung, "DM");
      strcpy(_rechnung_bemerkung, "Ich sandte Ihnen zu umseitigen Bedingungen auf Ihre Rechnung und Gefahr durch:");
      _steuer_enthalten = false;
      _ist_euro = false;

      _erfassung_last = _erfassung_first = TDate();
      _erfassung_first -= 21;
      _datierung_last = _datierung_first = TDate();
      _datierung_first -= 21;

      _use_erfassung = false;
      _use_datierung = true;

      _vordatierung = 31;
   } // else
} // Customizer::Load

bool Customizer::PeterBauer()
{
	return false;
} // Customizer::PeterBauer
