#include <pbk/geogruppe/geogruppe.h>

GeoGruppe::GeoGruppe(const char* filename) : _geo_list()
{
   fstream stream(filename, ios::in|ios::out);
   size_t  size;

   strcpy(_filename, filename);

   stream.seekg(0, ios::end);
   size = stream.tellg();
   stream.seekg(0, ios::beg);

   GeoString tmpString;
   while(!stream.eof())
   {
      stream.getline(tmpString._text, sizeof(tmpString));
      if(stream.gcount() == 0) break;
      _geo_list.Add(tmpString);
   } // while
} // GeoGruppe::GeoGruppe

void GeoGruppe::Add(const char* pName)
{
   fstream stream(_filename, ios::in|ios::out);
   size_t  size;
   stream.seekg(0, ios::end);
   size = stream.tellg();

   if(size != 0) stream << endl; // Return, falls schon eine Zeile existiert
   stream << pName;
   _geo_list.Add(pName);
} // GeoGruppe::Add
