#ifndef _MerkzettelVerwaltung_h
#define _MerkzettelVerwaltung_h

#include <list/list.h>
#include <owl/window.h>

class MerkzettelVerwaltung
{
	protected:
   	TWindow* _p_parent_window;

	public:
   	class MerkzettelIntern
      {
      	public:
         	char _text[300];
            int  _x, _y;

         public:
	      	MerkzettelIntern() {_x = rand() % 300; _y = rand() % 250;};

				void   		  Read(fstream&);
				void   		  Write(fstream&);
            static size_t SizeOf() {return 300+sizeof(int)+sizeof(int);};
      }; // class MerkzettelIntern

      GenericList<MerkzettelIntern> _merkzettel_liste;

	public:
		MerkzettelVerwaltung(const char* filename) : _merkzettel_liste(filename) {};
		~MerkzettelVerwaltung()
      {
      	for(int i = 0; i < _merkzettel_liste.GetNoElements(); i++)
         {
         	if(strcmp(_merkzettel_liste[i]._text, "") == 0) _merkzettel_liste.Remove(i); 
         } // for
      };

	   void SetWindowPtr(TWindow* pParent)
      {
			_p_parent_window = pParent;

			for(int i = 0; i < _merkzettel_liste.GetNoElements(); i++)
				NewWindow(_merkzettel_liste[i]);
      };
		void New(const char* = NULL);

   public:
   	void NewWindow(MerkzettelIntern&);
}; // class MerkzettelVerwaltung
#endif