#ifndef _Preis_h
#define _Preis_h

#include <fstream.h>

class Preis
{
	protected:
		long  _wein_nr;
   	float _dm_preis;
      float _euro_preis;

   public:
   	Preis() {};
   	Preis(const long wein_nr) {_wein_nr = wein_nr;};

      float GetWeinNr() const {return _wein_nr;};
      float GetDMPreis() const {return _dm_preis;};
      float GetEuroPreis() const {return _euro_preis;};

      void SetWinNr(long wein_nr) {_wein_nr = wein_nr;};
      void SetDMPreis(float preis) {_dm_preis = preis;};
      void SetEuroPreis(float preis) {_euro_preis = preis;};

      void Read(fstream&);
      void Write(fstream&) const;

      static size_t SizeOf() {return sizeof(Preis);};
}; // class Preis
#endif