#ifndef _WeinlistenVerwaltung_h
#define _WeinlistenVerwaltung_h

#include <dir.h>
#include <list/list.h>
#include <pbk/wein/wein.h>
#include <pbk/logbuch/logbuch.h>

#define VERSION_STRING "WA/WIN/V001"

class WeinlistenVerwaltung
{
	protected:
      LogBuch*				        _p_log_buch;
      GenericSortableList<Wein> _wein_liste;

	public:
   	WeinlistenVerwaltung(const char* filename);
   	~WeinlistenVerwaltung();

		void 			 					SetLogBuchPtr(LogBuch* pLogBuch) {_p_log_buch = pLogBuch;};
      Wein* 				 			operator[] (const long);
		void 					         Add(const long);
      GenericSortableList<Wein>& GetWeinListe() {return _wein_liste;};
      void							   ReadPascalFile();
		void 								AddBestand(const unsigned long, const long);

   protected:
}; // class WeinlistenVerwaltung
#endif