#ifndef _QuasarToBiff_h
#define _QuasarToBiff_h

#include <fstream.h>

class BIFFOut
{
   protected:
      ofstream *pOutStream;

   public:
      BIFFOut(const char*);
      ~BIFFOut();

      void SetStandardColWidth(unsigned short);
      void WriteLABEL(unsigned short, unsigned short, char*);
      void WriteLABELLeftAlign(unsigned short, unsigned short, char*);
      void WriteNUMBER(unsigned short, unsigned short, double);

	protected:
      void WriteBOF();
      void WriteINDEX();
      void WriteEOF();
}; // class BIFFOut
#endif
