//----------------------------------------------------------------------------
//  Project weinadmin
//  
//  Copyright  1996. Alle Rechte vorbehalten.
//
//  SUBSYSTEM:    weinadmin.apx Application
//  FILE:         csvsavedlg.h
//  AUTHOR:       Thomas Haenselmann
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for CSVSaveDlg (TFileSaveDialog).
//
//----------------------------------------------------------------------------
#if !defined(csvsavedlg_h)              // Sentry, use file only if it's not already included.
#define csvsavedlg_h

#include <owl/opensave.h>

#include "weinadminapp.rh"            // Definition of all resources.


//{{TFileSaveDialog = CSVSaveDlg}}
class CSVSaveDlg : public TFileSaveDialog {
  public:
    CSVSaveDlg(TWindow* parent, TData& data, TResId templateId = 0, const char far* title = 0, TModule* module = 0);
    virtual ~CSVSaveDlg();
};    //{{CSVSaveDlg}}


#endif  // csvsavedlg_h sentry.

