//----------------------------------------------------------------------------
//  Project WeinAdmin
//  
//  Copyright  1996. Alle Rechte vorbehalten.
//
//  SUBSYSTEM:    WeinAdmin Application
//  FILE:         weinadmindlgclient.cpp
//  AUTHOR:       Thomas Haenselmann
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TWeinAdminDlgClient (TDialog).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include "weinadminapp.h"
#include "weinadmindlgclient.h"


//{{TWeinAdminDlgClient Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TWeinAdminDlgClient, TDialog)
//{{TWeinAdminDlgClientRSP_TBL_BEGIN}}
//{{TWeinAdminDlgClientRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TWeinAdminDlgClient
// ~~~~~~~~~~
// Construction/Destruction handling.
//
TWeinAdminDlgClient::TWeinAdminDlgClient(TDocument& doc, TWindow* parent)
:
  TView(doc), TDialog(parent, IDD_CLIENT)
{
  // INSERT>> Your constructor code here.
}


TWeinAdminDlgClient::~TWeinAdminDlgClient()
{
  // INSERT>> Your destructor code here.

}


bool TWeinAdminDlgClient::CanClose()
{
  return TWindow::CanClose() && Doc->CanClose();
}
