#ifndef _Customizer_h
#define _Customizer_h

#include <dir.h>
#include <string.h>
#include <classlib/date.h>

class Customizer
{
	protected:
   	char _filename[MAXFILE];

   	float _mehrwertsteuer;
      char  _waehrung[8];
      bool  _steuer_enthalten;
      bool	_ist_euro;
      TDate _erfassung_last, _erfassung_first, _datierung_last, _datierung_first;
      bool  _use_erfassung, _use_datierung;
      int	_vordatierung;
      char  _rechnung_bemerkung[302];

	public:
   	Customizer(const char*);
   	~Customizer() {Update();};

      float 		GetMehrwertsteuer() {return _mehrwertsteuer;};
      const char* GetWaehrungString() {return _waehrung;};
      bool 			GetSteuerEnthalten() {return _steuer_enthalten;};
      bool			GetEuroAktiv() {return _ist_euro;};
      int			GetVordatierung() {return _vordatierung;};

      void SetMehrwertsteuer(float value) {_mehrwertsteuer = value; Update();};
      void SetWaehrungString(char* text) {strncpy(_waehrung, text, 8); Update();};
      void SetSteuerEnthalten(bool steuer_enthalten) {_steuer_enthalten = steuer_enthalten; Update();};
      void SetEuroAktiv(bool euro) {_ist_euro = euro; Update();};
      void SetVordatierung(int vordatierung) {_vordatierung = vordatierung; Update();};
      void SetRechnungBemerkung(const char* rechnung_bemerkung) {strcpy(_rechnung_bemerkung, rechnung_bemerkung);};

		TDate& 		ErfassungFirst() {return _erfassung_first;};
		TDate& 		ErfassungLast() {return _erfassung_last;};
      TDate& 		DatierungFirst() {return _datierung_first;};
      TDate& 		DatierungLast() {return _datierung_last;};
      bool&  		UseErfassung() {return _use_erfassung;};
      bool&  		UseDatierung() {return _use_datierung;};
      const char* GetRechnungBemerkung() {return _rechnung_bemerkung;};

   	// true = Version fr Peter-Bauer-Gnther / false = allgemeine Version

      bool			PeterBauer();

   protected:
   	void Update();
		void Load();
}; // class Customizer
#endif
