#include <pbk/logbuch/logbuch.h>
#include <classlib/time.h>
#include <classlib/date.h>
#include <iomanip.h>

LogBuch::LogBuch(const char* pFilename) : _stream(pFilename, ios::in|ios::out|ios::app)
{
} // LogBuch::LogBuch

fstream& LogBuch::GetOutputStream()
{
	TDate Heute;
   TTime Jetzt;

	_stream << "(" << setw(2) << Heute.DayOfMonth() << "." << setw(2) << Heute.Month() << "." << setw(4) << Heute.Year() << " " << setw(2) << Jetzt.Hour() << ":" << setw(2) << Jetzt.Minute() << ":" << setw(2) << Jetzt.Second() << ") ";

   return _stream;
} // LogBuch::GetOutputStream
