#include <pbk/merkzettelverwaltung/merkzettelverwaltung.h>
#include "merkzetteldlg.h"

void MerkzettelVerwaltung::New(const char* text)
{
   MerkzettelIntern Merkzettel;
   long				  pos;

   strcpy(Merkzettel._text, "<< neuer Merkzettel >>");
   pos = _merkzettel_liste.Add(Merkzettel);
   NewWindow(_merkzettel_liste[pos]);
} // MerkzettelVerwaltung::New

void MerkzettelVerwaltung::NewWindow(MerkzettelIntern& Merkzettel)
{
   MerkzettelDlg* pHaftnotiz = new MerkzettelDlg(_p_parent_window, Merkzettel);

   pHaftnotiz->Create();
   pHaftnotiz->Show(SW_SHOW);
} // MerkzettelVerwaltung::NewWindow

void MerkzettelVerwaltung::MerkzettelIntern::Read(fstream& stream)
{
	stream.read(_text, sizeof(_text));
	stream.read((char*)&_x, sizeof(_x));
	stream.read((char*)&_y, sizeof(_y));
} // MerkzettelVerwaltung::MerkzettelIntern::Read

void MerkzettelVerwaltung::MerkzettelIntern::Write(fstream& stream)
{
	stream.write(_text, sizeof(_text));
	stream.write((char*)&_x, sizeof(_x));
	stream.write((char*)&_y, sizeof(_y));
} // MerkzettelVerwaltung::MerkzettelIntern::Write

