#ifndef _ModuleBroker_h
#define _ModuleBroker_h

class ModuleBroker
{
	protected:
      class KundenVerwaltung     *_p_kunden_verwaltung;
      class WeinlistenVerwaltung *_p_weinlisten_verwaltung;
      class PreisVerwaltung		*_p_preis_verwaltung;
      class PostenVerwaltung		*_p_posten_verwaltung;
      class RechnungsVerwaltung  *_p_rechnungs_verwaltung;
      class GeoGruppe				*_p_geo_gruppe;
      class LogBuch					*_p_log_buch;
      class Customizer				*_p_customizer;

  public:
      ModuleBroker() {};

      KundenVerwaltung*     GetKundenVerwaltungPtr() {return _p_kunden_verwaltung;};
      WeinlistenVerwaltung* GetWeinlistenVerwaltungPtr() {return _p_weinlisten_verwaltung;};
      PreisVerwaltung*		 GetPreisVerwaltungPtr() {return _p_preis_verwaltung;};
      PostenVerwaltung*	    GetPostenVerwaltungPtr() {return _p_posten_verwaltung;};
      RechnungsVerwaltung*  GetRechnungsVerwaltungPtr() {return _p_rechnungs_verwaltung;};
      GeoGruppe*				 GetGeoGruppePtr() {return _p_geo_gruppe;};
      LogBuch*				    GetLogBuchPtr() {return _p_log_buch;};
      Customizer*				 GetCustomizerPtr() {return _p_customizer;};

      void SetKundenVerwaltungPtr(KundenVerwaltung* pKundenVerwaltung) {_p_kunden_verwaltung = pKundenVerwaltung;};
      void SetWeinlistenVerwaltungPtr(WeinlistenVerwaltung* pWeinlistenVerwaltung) {_p_weinlisten_verwaltung = pWeinlistenVerwaltung;};
      void SetPreisVerwaltungPtr(PreisVerwaltung* pPreisVerwaltung) {_p_preis_verwaltung = pPreisVerwaltung;};
      void SetPostenVerwaltungPtr(PostenVerwaltung* pPostenVerwaltung) {_p_posten_verwaltung = pPostenVerwaltung;};
      void SetRechnungsVerwaltungPtr(RechnungsVerwaltung* pRechnungsVerwaltung) {_p_rechnungs_verwaltung = pRechnungsVerwaltung;};
      void SetGeoGruppePtr(GeoGruppe* pGeoGruppe) {_p_geo_gruppe = pGeoGruppe;};
      void SetLogBuchPtr(LogBuch* pLogBuch) {_p_log_buch = pLogBuch;};
      void SetCustomizerPtr(Customizer* pCustomizer) {_p_customizer = pCustomizer;};
}; // class ModuleBroker
#endif